zenilib: zenilib/jni/external/zlib/crc32.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Macros | Functions
crc32.c File Reference
`#include "zutil.h"`
`#include "crc32.h"`

Go to the source code of this file.

## Macros

#define | DO1 crc = crc_table[0][((int)crc ^ (*buf++)) & 0xff] ^ (crc >> 8)
#define | DO8 DO1; DO1; DO1; DO1; DO1; DO1; DO1; DO1
#define | GF2_DIM 32 /* dimension of GF(2) vectors (length of CRC) */
#define | local static
#define | TBLS 1

## Functions

unsigned long ZEXPORT | crc32 (unsigned long crc, const unsigned char FAR *buf, uInt len)
uLong ZEXPORT | crc32_combine (uLong crc1, uLong crc2, z_off_t len2)
uLong ZEXPORT | crc32_combine64 (uLong crc1, uLong crc2, z_off64_t len2)
local uLong | crc32_combine_ (uLong crc1, uLong crc2, z_off64_t len2)
const unsigned long FAR *ZEXPORT | get_crc_table ()
local void | gf2_matrix_square (unsigned long *square, unsigned long *mat)
local unsigned long | gf2_matrix_times (unsigned long *mat, unsigned long vec)
local unsigned long gf2_matrix_times | OF ((unsigned long *mat, unsigned long vec))
local void gf2_matrix_square | OF ((unsigned long *square, unsigned long *mat))

## Macro Definition Documentation

#define DO1 crc = crc_table[0][((int)crc ^ (*buf++)) & 0xff] ^ (crc >> 8)

Definition at line 217 of file crc32.c.

Referenced by crc32().

#define DO8 DO1; DO1; DO1; DO1; DO1; DO1; DO1; DO1

Definition at line 218 of file crc32.c.

Referenced by crc32().

#define GF2_DIM 32 /* dimension of GF(2) vectors (length of CRC) */

Definition at line 341 of file crc32.c.

Referenced by crc32_combine_(), and gf2_matrix_square().

#define local static

Definition at line 31 of file crc32.c.

#define TBLS 1

Definition at line 64 of file crc32.c.

## Function Documentation

unsigned long ZEXPORT crc32 | ( | unsigned long | crc,
|  | const unsigned char FAR * | buf,
|  | uInt | len
| ) |  |

Definition at line 221 of file crc32.c.

References DO1, DO8, and Z_NULL.

Referenced by deflate(), deflateReset(), gz_decomp(), gz_head(), gz_open(), gzread(), gzrewind(), gzwrite(), inflate(), png_calculate_crc(), png_reset_crc(), read_buf(), and SDLTest_Crc32CalcBuffer().

uLong ZEXPORT crc32_combine | ( | uLong | crc1,
|  | uLong | crc2,
|  | z_off_t | len2
| ) |  |

Definition at line 428 of file crc32.c.

References crc32_combine_().

uLong ZEXPORT crc32_combine64 | ( | uLong | crc1,
|  | uLong | crc2,
|  | z_off64_t | len2
| ) |  |

Definition at line 436 of file crc32.c.

References crc32_combine_().

local uLong crc32_combine_ | ( | uLong | crc1,
|  | uLong | crc2,
|  | z_off64_t | len2
| ) |  |

Definition at line 372 of file crc32.c.

References GF2_DIM, gf2_matrix_square(), and gf2_matrix_times().

Referenced by crc32_combine(), and crc32_combine64().

const unsigned long FAR* ZEXPORT get_crc_table | ( |  | ) |

Definition at line 207 of file crc32.c.

References crc_table, and FAR.

local void gf2_matrix_square | ( | unsigned long * | square,
|  | unsigned long * | mat
| ) |  |

Definition at line 361 of file crc32.c.

References GF2_DIM, and gf2_matrix_times().

Referenced by crc32_combine_().

local unsigned long gf2_matrix_times | ( | unsigned long * | mat,
|  | unsigned long | vec
| ) |  |

Definition at line 344 of file crc32.c.

Referenced by crc32_combine_(), and gf2_matrix_square().

local unsigned long gf2_matrix_times OF | ( | (unsigned long *mat, unsigned long vec) |  | ) |

local void gf2_matrix_square OF | ( | (unsigned long *square, unsigned long *mat) |  | ) |